> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataspike.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a risk profile

> Permanently removes a risk profile. Checks associated with this profile are not affected.



## OpenAPI

````yaml https://api.dataspike.io/openapi/kyt/public.json delete /api/v4/kyt/risk-profiles/{id}
openapi: 3.1.0
info:
  description: >-
    Know Your Transaction (KYT) — blockchain address, transaction and transfer
    risk analysis.
  title: Dataspike KYT API
  version: '4.0'
servers: []
security: []
paths:
  /api/v4/kyt/risk-profiles/{id}:
    delete:
      tags:
        - Risk Profiles
      summary: Delete a risk profile
      description: >-
        Permanently removes a risk profile. Checks associated with this profile
        are not affected.
      operationId: DELETE_/api/v4/kyt/risk-profiles/:id
      parameters:
        - description: Risk profile identifier.
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '204':
          content:
            application/json:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
            application/xml:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
          description: No Content
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlainMessage'
            application/xml:
              schema:
                $ref: '#/components/schemas/PlainMessage'
          description: Profile not found.
        '424':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlainMessage'
            application/xml:
              schema:
                $ref: '#/components/schemas/PlainMessage'
          description: CoinKYT dependency failure.
        default:
          description: ''
      security:
        - ApiKey: []
components:
  schemas:
    PlainMessage:
      description: PlainMessage schema
      properties:
        message:
          type: string
      type: object
  securitySchemes:
    ApiKey:
      description: API token passed in the request header.
      in: header
      name: ds-api-token
      type: apiKey

````